#pragma once
#include <stdint.h>

int yrImgLoad_init(void);
void yrImgLoad_shutdown(void);

const char* yrImgLoad_get_dims(const char* file, unsigned* w, unsigned* h);
const char*	yrImgLoad_decode(size_t len , void* data, unsigned* w, unsigned* h, void** img);
const char*	yrImgLoad_encode(size_t* len , void** data, unsigned w, unsigned h, void* img);